libphp-magpierss_0.72-11_all.deb


Advertisement

Description

libphp-magpierss - provides an XML-based RSS parser in PHP

Property Value
Distribution Ubuntu 18.04 (Bionic Beaver)
Repository Ubuntu Universe i386
Package name libphp-magpierss
Package version 0.72
Package release 11
Package architecture all
Package type deb
Installed size 106 B
Download size 25.56 KB
Official Mirror archive.ubuntu.com
MagpieRSS is an XML-based RSS parser in PHP.  It attempts to be "PHP-like",
and simple to use.
Some features include:
* supports RSS 0.9 - 1.0, with limited RSS 2.0 support
* supports namespaces, and modules, including mod_content and mod_event
* open minded
* simple, functional interface, to object oriented backend parser
* automatic caching of parsed RSS objects makes its easy to integrate
* supports conditional GET with Last-Modified, and ETag
* uses constants for easy override of default behaviour
* heavily commented

Alternatives

Package Version Architecture Repository
libphp-magpierss_0.72-11_all.deb 0.72 all Ubuntu Universe
libphp-magpierss - - -

Requires

Name Value
libphp-snoopy -
php-pear -

Download

Type URL
Binary Package libphp-magpierss_0.72-11_all.deb
Source Package magpierss

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libphp-magpierss deb package:
    # sudo apt-get install libphp-magpierss

Files

Path
/usr/share/doc/libphp-magpierss/AUTHORS
/usr/share/doc/libphp-magpierss/NEWS.gz
/usr/share/doc/libphp-magpierss/README
/usr/share/doc/libphp-magpierss/README.Debian
/usr/share/doc/libphp-magpierss/TROUBLESHOOTING.gz
/usr/share/doc/libphp-magpierss/changelog.Debian.gz
/usr/share/doc/libphp-magpierss/cookbook
/usr/share/doc/libphp-magpierss/copyright
/usr/share/doc/libphp-magpierss/htdocs/cookbook.html
/usr/share/doc/libphp-magpierss/htdocs/index.html
/usr/share/php/magpierss/rss_cache.inc
/usr/share/php/magpierss/rss_fetch.inc
/usr/share/php/magpierss/rss_parse.inc
/usr/share/php/magpierss/rss_utils.inc
/usr/share/php/magpierss/scripts/README
/usr/share/php/magpierss/scripts/magpie_debug.php
/usr/share/php/magpierss/scripts/magpie_simple.php
/usr/share/php/magpierss/scripts/magpie_slashbox.php
/usr/share/php/magpierss/scripts/simple_smarty.php
/usr/share/php/magpierss/scripts/smarty_plugin/modifier.rss_date_parse.php
/usr/share/php/magpierss/scripts/templates/simple.smarty

Changelog

2016-05-21 - Marcelo Jorge Vieira <metal@debian.org>
magpierss (0.72-11) unstable; urgency=high
* Depend on php-pear instead of php5 | php5-cl
* Bump debhelper compatibility level to 9
* Updated Standards-Version to 3.9.8 (no changes)
* Moving this package to pkg-php-pear team
* Remove trailing spaces in debian/changelog
* Fixed privacy-breach-logo
2011-02-15 - Marcelo Jorge Vieira (metal) <metal@debian.org>
magpierss (0.72-10) unstable; urgency=high
* Fixing CVE-2011-0740 (Closes: #611940)
Cross-site scripting (XSS) vulnerability in
scripts/magpie_slashbox.php
2010-09-28 - Marcelo Jorge Vieira (metal) <metal@debian.org>
magpierss (0.72-9) unstable; urgency=low
* Changing my email for Debian address
* Removed DM-Upload-Allowed field
* Removed transitional dummy package
* Minimizing rules file
* Switch to dpkg-source 3.0 (quilt) format
* Changed VCS information to my new Alioth account
* Updated Standards-Version to 3.9.1 (no changes)
* Moved docs files from .install to .doc
2009-08-13 - Marcelo Jorge Vieira (metal) <metal@alucinados.com>
magpierss (0.72-8) unstable; urgency=low
* Removed rss_cache.inc.diff file
+ It's an unnecessary patch
* Updated Standards-Version to 3.8.2
* Splitting rss_fetch.inc.diff file
+ Created include_libphp-snoopy.patch and rename_debug_function.patch files
* Created rename_error_function.patch file
+ Renamed function error() to magpierss_error() because "error"
is a generic name. Since it's included in other packages,
it's better to use a specific name.
2009-06-15 - Marcelo Jorge Vieira (metal) <metal@alucinados.com>
magpierss (0.72-7) unstable; urgency=low
* Updated Standards-Version to 3.8.1
* Changed section from 'web' to 'php'
* Added 'php5-cli or php5' as dependency
* Fixes debian/rules
debian/rules did not provide a build-arch or build-indep neither it
built the same binary package by only running the binary target.
2009-03-05 - Marcelo Jorge Vieira (metal) <metal@alucinados.com>
magpierss (0.72-6) unstable; urgency=low
* Removing cdbs references and bumping package to debhelper 7
* Updated Standards-Version to 3.8.0.1
* Changed VCS information from upstream VCS to my account in Alioth
* Added DM-Upload-Allowed control field
* Added quilt support
* Fixed patches headers
* Fixed debian-watch-file-should-use-sf-redirector
* Rewriting copyright in machine-interpretable format
* Newlines in headers break caching (Closes: #504802)
* Added libphp-magpierss binary package
2007-10-23 - Marcelo Jorge Vieira (metal) <metal@alucinados.com>
magpierss (0.72-5) unstable; urgency=low
* Added watch file
* Updated Standards-Version to 3.7.3
* Added Homepage, Vcs-Cvs and Vcs-Browser fields in debian/control
* Fixed copyright-without-copyright-notice
2007-10-01 - Marcelo Jorge Vieira (metal) <metal@alucinados.com>
magpierss (0.72-4) unstable; urgency=low
* Fixed libphp-snoopy depends
2007-09-30 - Marcelo Jorge Vieira (metal) <metal@alucinados.com>
magpierss (0.72-3) unstable; urgency=low
* Use the Snoopy Class as provided by libphp-snoopy rather than shipping
our own copy of it (Closes: #431089)
* Removed php4 from control depends
2006-06-22 - Marcelo Jorge Vieira (metal) <metal@alucinados.com>
magpierss (0.72-2) unstable; urgency=low
* Description contains duplicated sentence Closes: #375416
* And use patches instead of, modifying the code directly

See Also

Package Description
libphp-phpmailer_5.2.14+dfsg-2.3_all.deb full featured email transfer class for PHP
libphp-predis_0.8.3-1ubuntu1_i386.deb Flexible and feature-complete PHP client library for the Redis key-value store
libphp-serialization-perl_0.34-2_all.deb Perl module to manipulate serialized PHP data structures
libphp-simplepie_1.3.1+dfsg-3.1_all.deb RSS and Atom feed parsing in PHP
libphp-snoopy_2.0.0-2_all.deb Snoopy is a PHP class that simulates a web browser
libphp-swiftmailer_5.4.2-1.1_all.deb transitional dummy package
libphp7.2-embed_7.2.3-1ubuntu1_i386.deb HTML-embedded scripting language (Embedded SAPI library)
libphtools2-dev_20061220+dfsg3-3.1build1_i386.deb [Physics] General purpose Monte Carlo routines (development files)
libphtools2-gfortran_20061220+dfsg3-3.1build1_i386.deb [Physics] General purpose Monte Carlo routines
libphutil_0~git20170812-1_all.deb Shared library for Arcanist and Phabricator
libphysfs-dev_3.0.1-1_i386.deb filesystem abstraction library for game programmers (development headers)
libphysfs1_3.0.1-1_i386.deb filesystem abstraction library for game programmers
libpiano-dev_2017.08.30-1_i386.deb library to interface with Pandora radio -- development
libpiano0_2017.08.30-1_i386.deb library to interface with Pandora radio -- runtime files
libpicard-java-doc_2.8.1+dfsg-3_all.deb Documentation for the java picard library
Advertisement
Advertisement